enum DojoStatusCode {
    LOGIN_FAILED                        = 10001,
    REFRESH_TOKENS_FAILED               = 10002,
    CLIENT_NOT_SUPPORTED                = 10100,
    CLIENT_VERSION_NOT_SUPPORTED        = 10110,
    ASSIGNMENT_PUBLISH_NO_PIPELINE      = 10200,
    ASSIGNMENT_PUBLISH_PIPELINE_FAILED  = 10201,
    ASSIGNMENT_CREATION_GITLAB_ERROR    = 10202,
    ASSIGNMENT_CREATION_INTERNAL_ERROR  = 10203,
    ASSIGNMENT_EXERCISE_NOT_RELATED     = 10204,
    ASSIGNMENT_NOT_PUBLISHED            = 10205,
    EXERCISE_CORRECTION_NOT_EXIST       = 10206,
    EXERCISE_CORRECTION_ALREADY_EXIST   = 10207,
    ASSIGNMENT_NAME_CONFLICT            = 10208,
    EXERCISE_CREATION_GITLAB_ERROR      = 10302,
    EXERCISE_CREATION_INTERNAL_ERROR    = 10303,
    MAX_EXERCISE_PER_ASSIGNMENT_REACHED = 10304,
    GITLAB_TEMPLATE_NOT_FOUND           = 10401,
    GITLAB_TEMPLATE_ACCESS_UNAUTHORIZED = 10402,
}


export default DojoStatusCode;